﻿// MinCMS noninvasive ASP.NET WebForms System
// ----------------------------------------------------
// License: Microsoft Reciprocal License (Ms-RL)
// Version: 1.0.0.0
// Initial Development: Prosodev - Software Company / August 2013 / V 1.0.0.0

namespace MinCms.Core
{
    using System.Web.UI;

    public interface IMinCmsPlugin
    {
        #region Public Properties

        bool AdminPageVisible { get; }

        string Description { get; }

        string FullTypeName { get; }

        #endregion

        #region Public Methods and Operators

        Control GetAdminControl(Page page, MinCms.IFile currentFile);

        string GetAdminDisplayName();

        string GetAdminPageIncludes();

        #endregion
    }
}