﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AdminDialogPlugins.ascx.cs" Inherits="MinCms.Core.Ui.AdminDialogPlugins" %>

<% if (false)
   { %>
<link href="../../bootstrap/css/bootstrap.min.css" rel="stylesheet" />
<script src="../../bootstrap/js/jquery.js"></script>
<script src="../../bootstrap/js/bootstrap.min.js"></script>
<% } %>

<style>
    .pluginCol {
        overflow: hidden;
        white-space: nowrap;
        width: 100px;
    }

    .pluginCol2 {
        overflow: hidden;
        white-space: nowrap;
    }

    .pluginTable {
        cursor: default;
    }

    .pluginContainer {
        max-height: 500px;
        overflow: scroll;
    }
</style>

<div class="container pluginContainer">
    <asp:ObjectDataSource ID="PluginDataSource" runat="server" SelectMethod="Select" TypeName="MinCms.Core.Ui.AdminDialogPluginBinder"></asp:ObjectDataSource>
    <table class="table table-hover table-condensed pluginTable">
        <thead>
            <tr>
                <th class="pluginCol">Plugin</th>
                <th class="pluginCol2">Info</th>
                <th class="pluginCol">Configure</th>
            </tr>
        </thead>
        <asp:Repeater ID="Repeater1" runat="server" DataSourceID="PluginDataSource">
            <ItemTemplate>
                <tr>
                    <td><%# Eval("ControlName") %></td>
                    <td><%# Eval("Description") %></td>
                    <td>
                        <asp:Button ID="editButton" CssClass="btn btn-default btn-xs" runat="server" Text="Config" OnClick="OnConfigureItem" />
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>
</div>
