﻿// MinCMS noninvasive ASP.NET WebForms System
// ----------------------------------------------------
// License: Microsoft Reciprocal License (Ms-RL)
// Version: 1.0.0.0
// Initial Development: Prosodev - Software Company / August 2013 / V 1.0.0.0

namespace MinCms.Core.Plugins
{
    using System.Web.UI;

    public class ActivePageIndicator : IMinCmsPlugin
    {
        #region Public Properties

        public bool AdminPageVisible
        {
            get { return false; }
        }

        public string Description
        {
            get { return "Indicates if current page is active page."; }
        }

        public string FullTypeName
        {
            get { return "MinCms.Core.Controls.ActivePageIndicator"; }
        }

        #endregion

        #region Public Methods and Operators

        public Control GetAdminControl(Page page, MinCms.IFile currentFile)
        {
            return null;
        }

        public string GetAdminDisplayName()
        {
            return "ActivePageIndicator";
        }

        public string GetAdminPageIncludes()
        {
            return string.Empty;
        }

        #endregion
    }
}