﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AdminDialog.ascx.cs" Inherits="MinCms.Core.Ui.MinCmsAdminDialogs" ValidateRequestMode="Disabled" %>

<%@ Register Src="AdminDialogCore.ascx" TagName="AdminDialogCore" TagPrefix="uc1" %>

<%@ Register src="AdminDialogPlugins.ascx" tagname="AdminDialogPlugins" tagprefix="uc3" %>

<%@ Register src="AdminDialogRemote.ascx" tagname="AdminDialogRemote" tagprefix="uc2" %>

<% if (false)
   { %>
<link href="../../bootstrap/css/bootstrap.min.css" rel="stylesheet" />
<script src="../../bootstrap/js/jquery.js"></script>
<script src="../../bootstrap/js/bootstrap.min.js"></script>
<style>
    .adminModal {
        background-color: #f5f5f5;
    }

        .adminModal .modal {
            position: relative;
            top: 15px;
            right: 0;
            left: 0;
            bottom: -15px;
            z-index: 1;
            display: block;
        }

        .adminModal .modal-dialog {
            left: auto;
            margin-left: auto;
            margin-right: auto;
        }
</style>

<div class="bs-example adminModal">
    <% } %>

    <div class="modal fade" id="adminDialog" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title">MinCms Administration</h4>
                </div>
                <div class="modal-body">
                    <div>
                        <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#core">Core</a></li>
                            <li><a href="#plugins" data-toggle="tab">Plugins</a></li>
                            <li><a href="#remote" data-toggle="tab">Remote server</a></li>
                        </ul>

                        <div class="tab-content">
                            <div class="tab-pane fade in active" id="core">
                                <div style="height: 10px;"></div>
                                <uc1:AdminDialogCore runat="server" />
                            </div>
                            <div class="tab-pane fade" id="plugins">
                                <div style="height: 10px;"></div>
                                <uc3:AdminDialogPlugins runat="server" />
                            </div>                             
                            <div class="tab-pane fade" id="remote">
                                <div style="height: 10px;"></div>
                                <uc2:AdminDialogRemote ID="AdminDialogRemote1" runat="server" />
                            </div>                           
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>            
        </div>
    </div>

    <% if (false)
       { %>
</div>
<% } %>
