﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AdminDialogRemote.ascx.cs" Inherits="MinCms.Core.Ui.AdminDialogRemote" %>

<% if (false)
   { %>
<link href="../../bootstrap/css/bootstrap.min.css" rel="stylesheet" />
<script src="../../bootstrap/js/jquery.js"></script>
<script src="../../bootstrap/js/bootstrap.min.js"></script>
<% } %>

<div class="container">
    <div class="panel panel-default">
        <div class="panel-heading">Synchronize with remote server</div>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-5">
                    <button type="button" runat="server" id="ButtonUpdate" data-loading-text="Upgrade remote server" clientidmode="Static" class="btn btn-default btn-xs">
                        <span class="glyphicon glyphicon-refresh"></span>
                    </button>
                </div>
                <div class="col-md-7">
                    <div class="progress progress-striped active" id="UpdatePanel">
                        <div id="UpdateProgress" class="progress-bar" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: 45%">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <label id="LabelUpdate">Updateing</label>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(function () {
        var timer = $.timer(function () {
            $.ajax({
                type: "POST",
                url: "default.aspx/UpgradeMessage",
                data: "{'param1' : 'Hello Cms'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.d != null) {
                        $('#LabelUpdate').text(msg.d);
                    }
                }
            });
            
            $.ajax({
                type: "POST",
                url: "default.aspx/UpgradePercentage",
                data: "{'param1' : 'Hello Cms'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.d != null) {
                        $('#UpdateProgress').attr('aria-valuenow', msg.d);
                        $('#UpdateProgress').css('width', msg.d + '%');
                    }
                }
            });

            $.ajax({
                type: "POST",
                url: "default.aspx/UpgradeInProgress",
                data: "{'param1' : 'Hello Cms'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.d == false) {
                        $('#UpdatePanel').hide();
                        $('#LabelUpdate').hide();
                        $('#ButtonUpdate').button('reset');
                    }
                }
            });
        });

        $('#ButtonUpdate').click(function () {
            $.ajax({
                type: "POST",
                url: "default.aspx/UpgradeStart",
                data: "{'param1' : 'Hello Cms'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function(msg) {
                    timer.set({ time: 500, autostart: true });
                    $('#UpdatePanel').show();
                    $('#LabelUpdate').show();
                    $('#ButtonUpdate').button('loading');
                }
            });
        });

        $.ajax({
            type: "POST",
            url: "default.aspx/UpgradeInProgress",
            data: "{'param1' : 'Hello Cms'}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                if (msg.d == true) {
                    timer.set({ time: 500, autostart: true });
                    $('#UpdatePanel').show();
                    $('#LabelUpdate').show();
                    $('#ButtonUpdate').button('loading');
                } else {
                    $('#UpdatePanel').hide();
                    $('#LabelUpdate').hide();
                    $('#ButtonUpdate').button('reset');
                }
            }
        });
    });
</script>
