﻿// MinCMS noninvasive ASP.NET WebForms System
// ----------------------------------------------------
// License: Microsoft Reciprocal License (Ms-RL)
// Version: 1.0.0.0
// Initial Development: Prosodev - Software Company / August 2013 / V 1.0.0.0

namespace MinCms.Core.Ui
{
    using System;
    using System.Web.UI;

    public partial class AdminDialogRemote : UserControl
    {
        #region Methods

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            if (string.IsNullOrEmpty(MinCmsHelper.RemoteSystem) || !MinCmsHelper.RemoteSystem.StartsWith("http"))
            {
                this.ButtonUpdate.Disabled = true;
            }
        }

        #endregion
    }
}