﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MinCmsFileEditor.ascx.cs" Inherits="MinCms.Core.Ui.MinCmsFileEditor" ViewStateMode="Disabled" ValidateRequestMode="Disabled" %>

<% if (false)
   { %>
<link href="../../bootstrap/css/bootstrap.min.css" rel="stylesheet" />
<script src="../../bootstrap/js/jquery.js"></script>
<script src="../../bootstrap/js/bootstrap.min.js"></script>
<% } %>

<style>
    .fileCol {
        overflow: hidden;
        white-space: nowrap;
        width: 100px;
    }

    .fileCol2 {
        overflow: hidden;
        white-space: nowrap;
    }

    .fileCol3 {
        width: 23px;
    }

    .fileTable {
        cursor: default;
    }

    .btn-group-offset {
        margin-left: 5px;
    }
</style>

<div class="navbar navbar-default">
    <div style="position: absolute; left: 0; top: 0; right: 0; height: 50px;">
        <img style="margin-left: 5px;" src="mincmsimg/logo_fileeditor.png" />
        <div style="position: absolute; left: 310px; top: 13px;">
            <button id="Button1" type="button" class="btn btn-danger btn-xs" runat="server" onserverclick="OnCloseWithoutSaving">Close</button>
        </div>
    </div>
</div>

<div class="container">
    <div class="row">
        <div class="btn-group btn-group-xs btn-group-offset">
            <button id="Button10" type="button" class="btn btn-default btn-xs" runat="server">Db (on)</button>
            <button id="Button11" type="button" class="btn btn-default btn-xs" runat="server">File (on)</button>
            <button id="Button12" type="button" class="btn btn-default btn-xs" runat="server">System (on)</button>
        </div>

        <div class="btn-group btn-group-xs btn-group-offset">
            <button id="Button13" type="button" class="btn btn-primary btn-xs" runat="server">Add files as system (on)</button>
        </div>
        
        <div class="btn-group btn-group-xs btn-group-offset">
            <button id="Button14" type="button" class="btn btn-default btn-xs" runat="server">Asp.NET (on)</button>
            <button id="Button15" type="button" class="btn btn-default btn-xs" runat="server">Images (on)</button>
            <button id="Button16" type="button" class="btn btn-default btn-xs" runat="server">Other (on)</button>
            <button id="Button17" type="button" class="btn btn-default btn-xs" runat="server">With templates (on)</button>
        </div>
    </div>
</div>
<div class="container">
    <asp:ObjectDataSource ID="PluginDataSource" runat="server" SelectMethod="Select" TypeName="MinCms.Core.Ui.FileItem" EnableViewState="False"></asp:ObjectDataSource>
    <table class="table table-hover table-bordered table-condensed fileTable">
        <thead>
            <tr>
                <th class="fileCol3"><span class="glyphicon glyphicon-tasks" data-toggle="tooltip" data-placement="left" title="File exists in database. A file on disc will always win."></span></th>
                <th class="fileCol3"><span class="glyphicon glyphicon-hdd" data-toggle="tooltip" data-placement="left" title="File exists on filesystem. A file on disc will always win."></span></th>
                <th class="fileCol3"><span class="glyphicon glyphicon-saved" data-toggle="tooltip" data-placement="left" title="File is a system file and can't be deleted."></span></th>
                <th class="fileCol">Path</th>
                <th class="fileCol">File</th>
                <th class="fileCol2">Path-Operation</th>
                <th class="fileCol2" data-toggle="tooltip" data-placement="left" title="Direct file operations. To create a content page, place a link control on site.">File-Operation</th>
            </tr>
        </thead>
        <asp:Repeater ID="Repeater1" runat="server" DataSourceID="PluginDataSource" EnableViewState="False">
            <ItemTemplate>
                <tr>
                    <td><%# Eval("ExistsOnDatabase") %></td>
                    <td><%# Eval("ExistsOnDisc") %></td>
                    <td><%# Eval("SystemFile") %></td>
                    <td><%# Eval("Path") %></td>
                    <td><%# Eval("FileName") %></td>
                    <td><asp:Button ID="uploadButton" CssClass="btn btn-default btn-xs" runat="server" Text="Upload" /></td>
                    <td>
                        <asp:Button ID="uploadFileButton" CssClass="btn btn-default btn-xs" runat="server" Text="Upload" />
                        <asp:Button ID="deleteButton" CssClass="btn btn-danger btn-xs" runat="server" Text="Delete" />
                        <asp:Button ID="editButton" CssClass="btn btn-success btn-xs" runat="server" Text="Edit" />
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>
</div>
