﻿CKEDITOR.plugins.add('mincms', {
    icons: 'mincms',

    init: function (editor) {
        editor.addCommand('saveMinCms', {
            exec: function (editor) {
                hiddenField.val(editor.getData());
                transportButton.click();
            }
        });
        
        editor.addCommand('revertMinCms', {
            exec: function (editor) {
                if (editor) {
                    editor.destroy(true);
                }
            }
        });
        
        editor.ui.addButton('Save MinCms', {
            label: 'Save to MinCms',
            command: 'saveMinCms',
            toolbar: 'document',
            icon: this.path + 'images/save.png'
        });
        
        editor.ui.addButton('Exit MinCms', {
            label: 'Exit without saving to MinCms',
            command: 'revertMinCms',
            toolbar: 'document',
            icon: this.path + 'images/exit.png'
        });
    }
});